GWT 2.7.0

## com.google.gwt.user.cellview.client
Class CellTree.SlideAnimation

    java.lang.Object
      com.google.gwt.animation.client.Animation
          com.google.gwt.user.cellview.client.CellTree.NodeAnimation
              com.google.gwt.user.cellview.client.CellTree.RevealAnimation
                  com.google.gwt.user.cellview.client.CellTree.SlideAnimation

Enclosing class:
  CellTree

    public static class CellTree.SlideAnimation

extends CellTree.RevealAnimation

A `CellTree.NodeAnimation` that slides children into view.

Field Summary

Fields inherited from class com.google.gwt.user.cellview.client.CellTree.RevealAnimation
`contentContainer, height, opening`

Method Summary
`static CellTree.SlideAnimation` | `create()` Create a new `CellTree.RevealAnimation`.
`protected void` | `onComplete()` Called immediately after the animation completes.
`protected void` | `onStart()` Called immediately before the animation starts.
`protected void` | `onUpdate(double progress)` Called when the animation should be updated.

Methods inherited from class com.google.gwt.user.cellview.client.CellTree.RevealAnimation
`animate`

Methods inherited from class com.google.gwt.user.cellview.client.CellTree.NodeAnimation
`getDuration, setDuration`

Methods inherited from class com.google.gwt.animation.client.Animation
`cancel, interpolate, isRunning, onCancel, run, run, run, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static CellTree.SlideAnimation create()

  Create a new `CellTree.RevealAnimation`.

  Returns:
    the new animation

### onComplete

    protected void onComplete()

  Description copied from class: `Animation`
  Called immediately after the animation completes.

  Overrides:
    `onComplete` in class `CellTree.RevealAnimation`

### onStart

    protected void onStart()

  Description copied from class: `Animation`
  Called immediately before the animation starts.

  Overrides:
    `onStart` in class `CellTree.RevealAnimation`

### onUpdate

    protected void onUpdate(double progress)

  Description copied from class: `Animation`
  Called when the animation should be updated. The value of progress is between 0.0 and 1.0 (inclusive) (unless you override the `Animation.interpolate(double)` method to provide a wider range of values). There is no guarantee that `Animation.onUpdate(double)` is called with 0.0 or 1.0. If you need to perform setup or tear down procedures, you can override `Animation.onStart()` and `Animation.onComplete()`.

  Overrides:
    `onUpdate` in class `CellTree.RevealAnimation`
  Parameters:
    `progress` - a double, normally between 0.0 and 1.0 (inclusive)

GWT 2.7.0